Skip to main content
GET
/
jobs
/
{jobId}
curl -X GET "https://nunu.ai/api/v1/jobs/f80f6230-3a4f-431a-9d55-d11b867fed4e" \
  -H "X-Api-Key: YOUR_API_TOKEN"
{
  "job_id": "f80f6230-3a4f-431a-9d55-d11b867fed4e",
  "project_id": "test",
  "status": "COMPLETED",
  "created_at": "2026-03-03T15:50:19.544603+00:00",
  "completed_at": "2026-03-03T15:54:24.463635+00:00",
  "multiplayer_test_id": "a5060a07-d386-4279-98ce-b33fb884201e",
  "test_name": "IP & GPS Geolocation Verification",
  "platform": "lt_phone",
  "build_id": null,
  "test_plan_execution_id": null,
  "queue_rejection_reason": null,
  "templating_enabled": true,
  "template_data": {
    "country": "Switzerland"
  },
  "stopped_by": null,
  "tags": ["location", "templatable"],
  "retries": {
    "total": 0,
    "remaining": 0
  },
  "runs": [
    {
      "multiplayer_run_id": "lkkg6t5612m",
      "state": "COMPLETED",
      "result": "SUCCESS",
      "started_at": "2026-03-03T15:50:23.601048+00:00",
      "completed_at": "2026-03-03T15:54:24.261038+00:00",
      "players": 1
    }
  ]
}
Permission Required: project:read-runs
Retrieve details for a specific job, including associated runs.

Path Parameters

jobId
string
required
The job ID (UUID)

Response

The response uses the same Job object described in List Jobs.
curl -X GET "https://nunu.ai/api/v1/jobs/f80f6230-3a4f-431a-9d55-d11b867fed4e" \
  -H "X-Api-Key: YOUR_API_TOKEN"
{
  "job_id": "f80f6230-3a4f-431a-9d55-d11b867fed4e",
  "project_id": "test",
  "status": "COMPLETED",
  "created_at": "2026-03-03T15:50:19.544603+00:00",
  "completed_at": "2026-03-03T15:54:24.463635+00:00",
  "multiplayer_test_id": "a5060a07-d386-4279-98ce-b33fb884201e",
  "test_name": "IP & GPS Geolocation Verification",
  "platform": "lt_phone",
  "build_id": null,
  "test_plan_execution_id": null,
  "queue_rejection_reason": null,
  "templating_enabled": true,
  "template_data": {
    "country": "Switzerland"
  },
  "stopped_by": null,
  "tags": ["location", "templatable"],
  "retries": {
    "total": 0,
    "remaining": 0
  },
  "runs": [
    {
      "multiplayer_run_id": "lkkg6t5612m",
      "state": "COMPLETED",
      "result": "SUCCESS",
      "started_at": "2026-03-03T15:50:23.601048+00:00",
      "completed_at": "2026-03-03T15:54:24.261038+00:00",
      "players": 1
    }
  ]
}

Authorizations

X-Api-Key
string
header
required

API key for authentication

Path Parameters

jobId
string<uuid>
required

The job ID

Response

Successful response

job_id
string<uuid>
project_id
string<uuid>
status
enum<string>
Available options:
QUEUED,
STARTING,
RUNNING,
STOPPING,
CLEANING_UP,
COMPLETED
created_at
string<date-time>
completed_at
string<date-time> | null
multiplayer_test_id
string<uuid>
test_name
string | null
platform
string | null
build_id
string<uuid> | null
test_plan_execution_id
string<uuid> | null
queue_rejection_reason
string | null
templating_enabled
boolean
template_data
object
stopped_by
object
tags
string[]
retries
object
runs
object[]